aboutsummaryrefslogtreecommitdiff
path: root/tools/cpt-update
diff options
context:
space:
mode:
Diffstat (limited to 'tools/cpt-update')
-rwxr-xr-xtools/cpt-update24
1 files changed, 24 insertions, 0 deletions
diff --git a/tools/cpt-update b/tools/cpt-update
new file mode 100755
index 0000000..77be11d
--- /dev/null
+++ b/tools/cpt-update
@@ -0,0 +1,24 @@
+#!/bin/sh -ef
+
+# shellcheck disable=1091
+if command -v cpt-lib >/dev/null; then . cpt-lib; else . ../lib.sh; fi
+
+while [ "$1" ]; do
+ case "$1" in
+ --help|-h)
+ out "usage: ${0##*/} [options]" "" \
+ " Options:" \
+ " -d --download Only download updatable packages" \
+ " --no-fetch Do not refresh the repositories" \
+ " --root [rootdir] Use an alternate root directory"
+ exit 1
+ ;;
+ --version|-v) version ;;
+ --no-fetch) export CPT_FETCH=0; shift ;;
+ --root) export CPT_ROOT=$2; shift 2 ;;
+ --download|-d) export download_only=1; shift ;;
+ *) die "Unknown option '$1'" ;;
+ esac
+done
+
+pkg_updates